// $Id: J4VTXParameter.hh,v 1.1.1.1 2001/08/31 07:38:34 hoshina Exp $
//=============================================
// Parameter of VTX
//
//
//=============================================


// Materials
#define _VTXMATERIAL_            "Air"
#define _VTXLAYERMATERIAL_       "Silicon"


// for Chamber
#define _VTXIR_		2.2*cm
#define _VTXOR_		6.2*cm
#define _VTXLEN_	13.0*cm
#define _VTXDPHI_	360.*deg
#define _VTXVISATT_	TRUE

// for Layer
#define _VTXLAYERNLAYERS_  	4 
#define _VTXLAYERNCLONES_  	1 
#define _VTXLAYERTHICK_		0.2808*mm	
#define _VTXLAYERINCREMENTR_ 	1.2*cm
#define _VTXLAYERINCREMENTZ_ 	2.5*cm
#define _VTXLAYER1IR_		_VTXIR_ + 0.2*cm
#define _VTXLAYER1LEN_		5.0*cm
#define _VTXLAYERSPHI_    	0.*deg
#define _VTXLAYERDPHI_  	360.*deg
#define _VTXLAYERVISATT_	TRUE

